import 'package:flutter/foundation.dart';
import 'package:rook_users/src/domain/environment/rook_users_environment.dart';

String getApiUrlFromEnvironment(
  RookUsersEnvironment environment, {
  bool forceDevelop = kDebugMode,
}) {
  if (forceDevelop) {
    return 'api.rook-connect.dev';
  } else {
    if (environment == RookUsersEnvironment.sandbox) {
      return 'api.rook-connect.review';
    } else {
      return 'api.rook-connect.com';
    }
  }
}
