import 'dart:convert';

class DeleteUserFromRookSvModel {
  final String dataSource;

  const DeleteUserFromRookSvModel({required this.dataSource});

  String toJson() {
    final map = {
      'data_source': dataSource,
    };

    return jsonEncode(map);
  }

  @override
  bool operator ==(Object other) =>
      identical(this, other) ||
      other is DeleteUserFromRookSvModel &&
          runtimeType == other.runtimeType &&
          dataSource == other.dataSource;

  @override
  int get hashCode => dataSource.hashCode;

  @override
  String toString() {
    return 'RegisterRookUserRequest{sourceOfData: $dataSource}';
  }
}
