import 'package:rook_users/src/domain/enums/user_type.dart';

enum DataSource {
  healthConnect('Health Connect'),
  appleHealth('Apple Health');

  final String identifier;

  const DataSource(this.identifier);
}

DataSource getDataSourceFromUserType(UserType userType) {
  return switch (userType) {
    UserType.healthConnect => DataSource.healthConnect,
    UserType.appleHealth => DataSource.appleHealth,
  };
}
